cURL
curl -X PATCH https://api.bodhveda.com/recipients/recipient_123 \
-H "Authorization: Bearer bv_xxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{
"name": "Elon Musk"
}'import { Bodhveda } from "@bodhveda/js";
const bodhveda = new Bodhveda("bv_xxxxxxxxx");
const recipient = await bodhveda.recipients.update("recipient_123", {
name: "Elon Musk",
});import (
"context"
bodhveda "github.com/MudgalLabs/bodhveda/sdk/go"
)
ctx := context.Background()
client := bodhveda.NewClient("bv_xxxxxxxxx", nil)
name := "Elon Musk"
recipient, _ := client.Recipients.Update(ctx, "recipient_123", &bodhveda.UpdateRecipientRequest{
Name: &name,
}){
"message": "Recipient updated",
"data": {
"id": "recipient_123",
"name": "Elon Musk",
"created_at": "2025-11-07T05:31:56Z",
"updated_at": "2025-11-07T06:00:00Z"
}
}{
"message": "Recipient not found"
}Recipients
Update recipient
Update the name of a recipient.
PATCH
/
recipients
/
{recipient_id}
cURL
curl -X PATCH https://api.bodhveda.com/recipients/recipient_123 \
-H "Authorization: Bearer bv_xxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{
"name": "Elon Musk"
}'import { Bodhveda } from "@bodhveda/js";
const bodhveda = new Bodhveda("bv_xxxxxxxxx");
const recipient = await bodhveda.recipients.update("recipient_123", {
name: "Elon Musk",
});import (
"context"
bodhveda "github.com/MudgalLabs/bodhveda/sdk/go"
)
ctx := context.Background()
client := bodhveda.NewClient("bv_xxxxxxxxx", nil)
name := "Elon Musk"
recipient, _ := client.Recipients.Update(ctx, "recipient_123", &bodhveda.UpdateRecipientRequest{
Name: &name,
}){
"message": "Recipient updated",
"data": {
"id": "recipient_123",
"name": "Elon Musk",
"created_at": "2025-11-07T05:31:56Z",
"updated_at": "2025-11-07T06:00:00Z"
}
}{
"message": "Recipient not found"
}Authorizations
Bearer authentication header of the form Bearer bv_xxxxxxxxx, where bv_xxxxxxxxx is your API Key with Full access scope.
Path Parameters
The unique identifier of the recipient.
Body
application/json
Name of the recipient.
Response
Recipient updated